const express = require('express');
const router = express.Router();
const PreparacionQuimicoMecanicaController = require('../controllers/preparacionquimicomecanica.controller');

// GET all PreparacionQuimicoMecanicas
router.get('/', PreparacionQuimicoMecanicaController.getAllPreparacionQuimicoMecanicas);

// GET PreparacionQuimicoMecanica by id
router.get('/:id', PreparacionQuimicoMecanicaController.getPreparacionQuimicoMecanicaById);

// POST a new PreparacionQuimicoMecanica
router.post('/create', PreparacionQuimicoMecanicaController.createPreparacionQuimicoMecanica);

// PUT update an existing PreparacionQuimicoMecanica
router.put('/update/:id', PreparacionQuimicoMecanicaController.updatePreparacionQuimicoMecanica);

// DELETE an existing PreparacionQuimicoMecanica
// muy probable no considerar esta opción
// router.delete('/:id', PreparacionQuimicoMecanicaController.deletePreparacionQuimicoMecanica);

// para los filtros de PreparacionQuimicoMecanica
router.get('/search/endodoncia/:codigo', PreparacionQuimicoMecanicaController.getPreparacionQuimicoMecanicaByEndodoncia);

module.exports = router;
